Bug 88136 - [chromium] Fix software rendering for device-scale-factor > 1
Summary: [chromium] Fix software rendering for device-scale-factor > 1
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sadrul Habib Chowdhury
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-01 14:24 PDT by Sadrul Habib Chowdhury
Modified: 2012-06-05 11:04 PDT (History)
9 users (show)

See Also:


Attachments
Patch (3.25 KB, patch)
2012-06-01 14:33 PDT, Sadrul Habib Chowdhury
no flags Details | Formatted Diff | Diff
Patch (7.97 KB, patch)
2012-06-01 17:37 PDT, Sadrul Habib Chowdhury
no flags Details | Formatted Diff | Diff
Patch (7.97 KB, patch)
2012-06-01 18:43 PDT, Sadrul Habib Chowdhury
no flags Details | Formatted Diff | Diff
Patch (13.90 KB, patch)
2012-06-01 18:47 PDT, Sadrul Habib Chowdhury
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sadrul Habib Chowdhury 2012-06-01 14:24:09 PDT
The device-scale factor needs to be set correctly on the GraphicsContext.
Comment 1 Sadrul Habib Chowdhury 2012-06-01 14:33:51 PDT
Created attachment 145377 [details]
Patch
Comment 2 WebKit Review Bot 2012-06-01 14:37:11 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 3 James Robinson 2012-06-01 15:55:18 PDT
Tests?
Comment 4 Sadrul Habib Chowdhury 2012-06-01 17:37:36 PDT
Created attachment 145410 [details]
Patch
Comment 5 Sadrul Habib Chowdhury 2012-06-01 17:38:36 PDT
(In reply to comment #3)
> Tests?

Added a reftest. Please take a look.
Comment 6 Gustavo Noronha (kov) 2012-06-01 17:46:32 PDT
Comment on attachment 145410 [details]
Patch

Attachment 145410 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12863700
Comment 7 Build Bot 2012-06-01 18:00:56 PDT
Comment on attachment 145410 [details]
Patch

Attachment 145410 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12870635
Comment 8 Sadrul Habib Chowdhury 2012-06-01 18:43:59 PDT
Created attachment 145419 [details]
Patch
Comment 9 Sadrul Habib Chowdhury 2012-06-01 18:47:02 PDT
Created attachment 145420 [details]
Patch
Comment 10 WebKit Review Bot 2012-06-04 13:11:56 PDT
Comment on attachment 145420 [details]
Patch

Clearing flags on attachment: 145420

Committed r119423: <http://trac.webkit.org/changeset/119423>
Comment 11 WebKit Review Bot 2012-06-04 13:12:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Alexey Proskuryakov 2012-06-05 10:58:24 PDT
The test added here crashes reproducibly on Mac WebKit2, <http://build.webkit.org/results/Lion%20Debug%20(WebKit2%20Tests)/r119496%20(7909)/fast/hidpi/device-scale-factor-paint-crash-log.txt>

Also, why are expected results for this test in /chromium? It's a retest.

Finally, [chromium] prefix is not appropriate here. Prefixes like this are meant to mark bugs that are of absolutely no interest to people working on other ports. This change is obviously touching non-chromium code.
Comment 13 Sadrul Habib Chowdhury 2012-06-05 11:04:58 PDT
(In reply to comment #12)
> The test added here crashes reproducibly on Mac WebKit2, <http://build.webkit.org/results/Lion%20Debug%20(WebKit2%20Tests)/r119496%20(7909)/fast/hidpi/device-scale-factor-paint-crash-log.txt>
> 
> Also, why are expected results for this test in /chromium? It's a retest.

Indeed. I am unsure why the expected results were added (in http://trac.webkit.org/changeset/119442)

> 
> Finally, [chromium] prefix is not appropriate here. Prefixes like this are meant to mark bugs that are of absolutely no interest to people working on other ports. This change is obviously touching non-chromium code.

The 'main' change in this patch is in chromium, and the non-chromium changes are in InternalSettings (and related changes in WebCore.exp.in etc. files). So I had marked it as [chromium]. My bad.